Skip to main content
`Ctrl`+`K`

# MatDenseHIPRestoreArrayRead

Restore read-only access to the HIP buffer inside a `MATDENSEHIP` matrix previously obtained with a call to `MatDenseHIPGetArrayRead()`.

## Synopsis

    PetscErrorCode MatDenseHIPRestoreArrayRead(Mat A, const PetscScalar **a)

Not Collective

## Input Parameters

- A - the matrix

- a - the GPU array in column major order

## Note

Data can be copied to the GPU due to operations done on the CPU. If you need write only access, use `MatDenseHIPGetArrayWrite()`.

## See Also

`MATDENSEHIP`, `MatDenseHIPGetArray()`, `MatDenseHIPRestoreArray()`, `MatDenseHIPRestoreArrayWrite()`, `MatDenseHIPGetArrayWrite()`, `MatDenseHIPGetArrayRead()`

## Level

developer

## Location

src/mat/impls/dense/mpi/cupm/hip/matmpidensehip.hip.cxx

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages